/*==========================================================================
**
**	hal.h
**
**	Hardware abstraction layer definitions
**
**==========================================================================
**
**	(c) Copyright 2002 ZNYX Networks
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	jr	03/17/02	New
**
**==========================================================================
*/



#define PDK_HD_FATAL	0x00000001	
#define PDK_HD_ERROR	0x00000002	
#define PDK_HD_WARN	0x00000004	
#define	PDK_HD_RSRC	0x00000008	/* allocation/mapping problem */
#define PDK_HD_CONFIG	0x00000010	/* configuration information */
#define PDK_HD_DETAILS	0x00000020	/* configuration details */
#define PDK_HD_PHY	0x00000100	
#define PDK_HD_PHY_LOUD	0x00000200	
#define PDK_HD_LINK	0x00000400	/* link up/down */
#define PDK_HD_MAC	0x00000800

#define PDK_HD_CALL	0x00001000	/* init/deinit calls */
#define PDK_HD_FILTER	0x00002000	/* multicast/prom etc */
#define	PDK_HD_IOCTL	0x00004000	

#define PDK_HD_DMA	0x00010000	
#define PDK_HD_DMA_TX	0x00020000	
#define PDK_HD_DMA_RX	0x00040000	

#define PDK_HD_IAC	0x00100000	
#define PDK_HD_INTR	0x00200000	
#define PDK_HD_TIMER	0x00400000	
#define	PDK_HD_HANG	0x00800000	

#define	PDK_HD_DUMP_TX	0x01000000
#define	PDK_HD_DUMP_RX	0x02000000

#define	PDK_HD_
#define PDK_HD_TEST	0x40000000	

#define	PDK_HD_DEFAULT	(PDK_HD_FATAL|PDK_HD_ERROR|PDK_HD_WARN)

/* the next macro should include all bits that will cause log flooding. */

#define	PDK_HD_FLOODERS	(PDK_HD_PHY|PDK_HD_PHY_LOUD|PDK_HD_MAC|\
			PDK_HD_DMA|PDK_HD_DMA_RX|PDK_HD_DMA_TX|\
			PDK_HD_IAC|PDK_HD_INTR|PDK_HD_TIMER|\
			PDK_HD_DUMP_TX|PDK_HD_DUMP_RX)

#define PDK_HD_ALL	0x7FFFFFFF	


