/* I82544_32BIT_REG_BAR */
/* I82544_32BIT_FLASH_BAR */
/* I82544_32BIT_IO_REG_BAR */
/* I82544_64BIT_REG_BAR_LO */
/* I82544_64BIT_REG_BAR_HI */
/* I82544_64BIT_FLASH_BAR_LO */
/* I82544_64BIT_FLASH_BAR_HI */
/* I82544_64BIT_IO_REG_BAR */
 { 'R', I82544_CTRL_REG, "CTRL", "Device Control Register (R/W)" },
 { 'B', I82544_CTRL_FD, "CTRL_FD", "Full Duplex" },
 { 'B', I82544_CTRL_BEM, "CTRL_BEM", "Big Endian Mode" },
 { 'B', I82544_CTRL_PRIOR, "CTRL_PRIOR", "Reserved (Priority on PCI)" },
 { 'B', I82544_CTRL_LRST, "CTRL_LRST", "Link Reset" },
 { 'B', I82544_CTRL_TME, "CTRL_TME", "Reserved (Test mode)" },
 { 'B', I82544_CTRL_ASDE, "CTRL_ASDE", "Auto-Speed Detection Enable" },
 { 'B', I82544_CTRL_SLU, "CTRL_SLU", "Set Link Up (mb 1 for PHY)" },
 { 'B', I82544_CTRL_ILOS, "CTRL_ILOS", "Invert Loss-of-Signal" },
 { 'M', I82544_CTRL_SPEED_MASK, "CTRL_SPEED_MASK", "Speed Selection" },
 { 'B', I82544_CTRL_SPEED_10, "CTRL_SPEED_10", "" },
 { 'B', I82544_CTRL_SPEED_100, "CTRL_SPEED_100", "" },
 { 'B', I82544_CTRL_SPEED_1000, "CTRL_SPEED_1000", "" },
 { 'B', I82544_CTRL_BEM32, "CTRL_BEM32", "Reserved (Big Endian 32bit)" },
 { 'B', I82544_CTRL_FRCSPD, "CTRL_FRCSPD", "Force Speed" },
 { 'B', I82544_CTRL_FRCDPLX, "CTRL_FRCDPLX", "Force Duplex" },
 { 'B', I82544_CTRL_SWDPINSLO0, "CTRL_SWDPINSLO0", "SDP 0 Data" },
 { 'B', I82544_CTRL_SWDPINSLO1, "CTRL_SWDPINSLO1", "SDP 1 Data" },
 { 'B', I82544_CTRL_SWDPINSLO2, "CTRL_SWDPINSLO2", "SDP 2 Data" },
 { 'B', I82544_CTRL_SWDPINSLO3, "CTRL_SWDPINSLO3", "SDP 3 Data" },
 { 'B', I82544_CTRL_SWDPIOLO0, "CTRL_SWDPIOLO0", "SDP 0 Direction (0=in,1=out)" },
 { 'B', I82544_CTRL_SWDPIOLO1, "CTRL_SWDPIOLO1", "SDP 1 Direction" },
 { 'B', I82544_CTRL_SWDPIOLO2, "CTRL_SWDPIOLO2", "SDP 2 Direction" },
 { 'B', I82544_CTRL_SWDPIOLO3, "CTRL_SWDPIOLO3", "SDP 3 Direction" },
 { 'B', I82544_CTRL_RST, "CTRL_RST", "Device Reset" },
 { 'B', I82544_CTRL_RFCE, "CTRL_RFCE", "Receive Flow Control Enable" },
 { 'B', I82544_CTRL_TFCE, "CTRL_TFCE", "Transmit Flow Control Enable" },
 { 'B', I82544_CTRL_RTE, "CTRL_RTE", "Reserved (Routing Tag Ena)" },
 { 'B', I82544_CTRL_VME, "CTRL_VME", "VLAN Mode Enable" },
 { 'B', I82544_CTRL_PHY_RESET, "CTRL_PHY_RESET", "PHY Reset" },
 { 'R', I82544_STATUS_REG, "STATUS", "Device Status Register (R/O)" },
 { 'B', I82544_STATUS_FD, "STATUS_FD", "Link Full Duplex Config Ind" },
 { 'B', I82544_STATUS_LU, "STATUS_LU", "Link Up Indication" },
 { 'B', I82544_STATUS_RSVD2, "STATUS_RSVD2", "" },
 { 'B', I82544_STATUS_RSVD3, "STATUS_RSVD3", "" },
 { 'B', I82544_STATUS_TXOFF, "STATUS_TXOFF", "Transmission Paused" },
 { 'B', I82544_STATUS_TBIMODE, "STATUS_TBIMODE", "TBI Mode Indication" },
 { 'M', I82544_STATUS_SPEED_MASK, "STATUS_SPEED_MASK", "Link Speed Setting" },
 { 'B', I82544_STATUS_SPEED_10, "STATUS_SPEED_10", "10 Mbps" },
 { 'B', I82544_STATUS_SPEED_100, "STATUS_SPEED_100", "100 Mbps" },
 { 'B', I82544_STATUS_SPEED_1000, "STATUS_SPEED_1000", "1000 Mbps" },
 { 'M', I82544_STATUS_ASDV_MASK, "STATUS_ASDV_MASK", "Auto Speed Detection Value" },
 { 'B', I82544_STATUS_MTXCKOK, "STATUS_MTXCKOK", "Rsvd (MTX Clock Running OK)" },
 { 'B', I82544_STATUS_PCI66, "STATUS_PCI66", "PCI Bus Speed Indication" },
 { 'B', I82544_STATUS_BUS64, "STATUS_BUS64", "PCI Bus Width Indication" },
 { 'B', I82544_STATUS_PCIX_MODE, "STATUS_PCIX_MODE", "PCI-X Mode Indication" },
 { 'B', I82544_STATUS_PCIXSPD, "STATUS_PCIXSPD", "PCI-X Bus Speed Indication" },
 { 'R', I82544_EECD_REG, "EECD", "EEPROM/Flash Control & Data Register (R/W)" },
 { 'B', I82544_EECD_SK, "EECD_SK", "Clock Input To EEPROM" },
 { 'B', I82544_EECD_CS, "EECD_CS", "Chip Select Input To EEPROM" },
 { 'B', I82544_EECD_DI, "EECD_DI", "Data In To EEPROM" },
 { 'B', I82544_EECD_DO, "EECD_DO", "Data Out From(!) EEPROM" },
 { 'M', I82544_EECD_FWE_MASK, "EECD_FWE_MASK", "" },
 { 'B', I82544_EECD_FWE_DIS, "EECD_FWE_DIS", "FLASH Writes Disabled" },
 { 'B', I82544_EECD_FWE_EN, "EECD_FWE_EN", "FLASH Writes Enabled" },
 { 'B', I82544_EECD_SIZE, "EECD_SIZE", "Reserved (EEPROM Size: 0=64 words 1=256 words)" },
 { 'R', I82544_CTRL_EXT_REG, "CTRL_EXT", "Extended Device Control Register (R/W)" },
 { 'B', I82544_CTRL_EXT_GPI_EN0, "CTRL_EXT_GPI_EN0", "Map SDP4 to GPI0" },
 { 'B', I82544_CTRL_EXT_GPI_EN1, "CTRL_EXT_GPI_EN1", "Map SDP5 to GPI1" },
 { 'B', I82544_CTRL_EXT_GPI_EN2, "CTRL_EXT_GPI_EN2", "Map SDP6 to GPI2" },
 { 'B', I82544_CTRL_EXT_GPI_EN3, "CTRL_EXT_GPI_EN3", "Map SDP7 to GPI3" },
 { 'B', I82544_CTRL_EXT_SWDPINSHI4, "CTRL_EXT_SWDPINSHI4", "SDP 4 Data" },
 { 'B', I82544_CTRL_EXT_SWDPINSHI5, "CTRL_EXT_SWDPINSHI5", "Reserved" },
 { 'B', I82544_CTRL_EXT_SWDPINSHI6, "CTRL_EXT_SWDPINSHI6", "SDP 6 Data" },
 { 'B', I82544_CTRL_EXT_SWDPINSHI7, "CTRL_EXT_SWDPINSHI7", "SDP 7 Data" },
 { 'B', I82544_CTRL_EXT_SWDPIOHI4, "CTRL_EXT_SWDPIOHI4", "SDP 4 Direction (0=in,1=out)" },
 { 'B', I82544_CTRL_EXT_SWDPIOHI5, "CTRL_EXT_SWDPIOHI5", "Reserved" },
 { 'B', I82544_CTRL_EXT_SWDPIOHI6, "CTRL_EXT_SWDPIOHI6", "SDP 6 Direction" },
 { 'B', I82544_CTRL_EXT_SWDPIOHI7, "CTRL_EXT_SWDPIOHI7", "SDP 7 Direction" },
 { 'B', I82544_CTRL_EXT_ASDCHK, "CTRL_EXT_ASDCHK", "ASD Check" },
 { 'B', I82544_CTRL_EXT_EE_RST, "CTRL_EXT_EE_RST", "EEPROM Reset" },
 { 'B', I82544_CTRL_EXT_IPS, "CTRL_EXT_IPS", "Invert Power State Bit 0" },
 { 'B', I82544_CTRL_EXT_SPD_BYPS, "CTRL_EXT_SPD_BYPS", "Speed Select Bypass" },
 { 'B', I82544_CTRL_EXT_IPS1, "CTRL_EXT_IPS1", "Invert Power State Bit 1" },
 { 'B', I82544_CTRL_EXT_RO_DIS, "CTRL_EXT_RO_DIS", "Relaxed Ordering Disabled" },
 { 'R', I82544_MDIC_REG, "MDIC", "MDI Control Register (R/W)" },
 { 'M', I82544_MDIC_DATA_MASK, "MDIC_DATA_MASK", "Data" },
 { 'M', I82544_MDIC_REG_MASK, "MDIC_REG_MASK", "PHY Register Address" },
 { 'M', I82544_MDIC_PHY_MASK, "MDIC_PHY_MASK", "PHY Address" },
 { 'M', I82544_MDIC_OP_MASK, "MDIC_OP_MASK", "Opcode" },
 { 'B', I82544_MDIC_WRITE, "MDIC_WRITE", "MDI Write" },
 { 'B', I82544_MDIC_READ, "MDIC_READ", "MDI Read" },
 { 'B', I82544_MDIC_READY, "MDIC_READY", "Ready Bit" },
 { 'B', I82544_MDIC_IE, "MDIC_IE", "Interrupt Enable" },
 { 'B', I82544_MDIC_ERROR, "MDIC_ERROR", "Error" },
 { 'R', I82544_FCAL_REG, "FCAL", "Flow Control Address Low Register (R/W)" },
 { 'B', I82544_FCAL_BITS, "FCAL_BITS", "FC Multicast Bits" },
 { 'R', I82544_FCAH_REG, "FCAH", "Flow Control Address High Register (R/W)" },
 { 'B', I82544_FCAH_BITS, "FCAH_BITS", "FC Multicast Bits" },
 { 'R', I82544_FCT_REG, "FCT", "Flow Control Type Register (R/W)" },
 { 'B', I82544_FCT_BITS, "FCT_BITS", "FC Ethertype Bits" },
 { 'R', I82544_VET_REG, "VET", "VLAN Ether Type Register (R/W)" },
 { 'B', I82544_VET_BITS, "VET_BITS", "802.1q Ethertype" },
 { 'R', I82544_ICR_REG, "ICR", "Interrupt Cause Read Register (R/O, clear on read) pg 161++" },
 { 'B', I82544_ICR_TXDW, "ICR_TXDW", "Transmit Desc Written Back" },
 { 'B', I82544_ICR_TXQE, "ICR_TXQE", "Transmit Queue Empty" },
 { 'B', I82544_ICR_LSC, "ICR_LSC", "Link Status Change" },
 { 'B', I82544_ICR_RXSEQ, "ICR_RXSEQ", "Receive Sequence Error" },
 { 'B', I82544_ICR_RXDMT0, "ICR_RXDMT0", "Receive Descriptor Minimum Threshold Reached" },
 { 'B', I82544_ICR_RSVD20, "ICR_RSVD20", "Reserved" },
 { 'B', I82544_ICR_RXO, "ICR_RXO", "Receive Overrun" },
 { 'B', I82544_ICR_RXT0, "ICR_RXT0", "Receive Timer Interrupt" },
 { 'B', I82544_ICR_RSVD100, "ICR_RSVD100", "Reserved" },
 { 'B', I82544_ICR_MDAC, "ICR_MDAC", "MDIO Access Complete" },
 { 'B', I82544_ICR_RXCFG, "ICR_RXCFG", "Receiving /C/ ordered sets" },
 { 'B', I82544_ICR_GPI0, "ICR_GPI0", "General Purpose Interrupt 0" },
 { 'B', I82544_ICR_GPI1, "ICR_GPI1", "Undefined (GPI 1)" },
 { 'B', I82544_ICR_GPI2, "ICR_GPI2", "General Purpose Interrupt 2" },
 { 'B', I82544_ICR_GPI3, "ICR_GPI3", "General Purpose Interrupt 3" },
 { 'B', I82544_ICR_ALL, "ICR_ALL", "All Those Bits" },
 { 'B', I82544_ICR_RSVD, "ICR_RSVD", "All Other Bits" },
 { 'R', I82544_ICS_REG, "ICS", "Interrupt Cause Set Register (W/O)" },
 { 'B', I82544_ICS_TXDW, "ICS_TXDW", "Transmit Desc Written Back" },
 { 'B', I82544_ICS_TXQE, "ICS_TXQE", "Transmit Queue Empty" },
 { 'B', I82544_ICS_LSC, "ICS_LSC", "Link Status Change" },
 { 'B', I82544_ICS_RXSEQ, "ICS_RXSEQ", "Receive Sequence Error" },
 { 'B', I82544_ICS_RXDMT0, "ICS_RXDMT0", "Receive Descriptor Minimum Threshold Reached" },
 { 'B', I82544_ICS_RSVD20, "ICS_RSVD20", "Reserved" },
 { 'B', I82544_ICS_RXO, "ICS_RXO", "Receive Overrun" },
 { 'B', I82544_ICS_RXT0, "ICS_RXT0", "Receive Timer Interrupt" },
 { 'B', I82544_ICS_RSVD100, "ICS_RSVD100", "Reserved" },
 { 'B', I82544_ICS_MDAC, "ICS_MDAC", "MDIO Access Complete" },
 { 'B', I82544_ICS_RXCFG, "ICS_RXCFG", "Receiving /C/ ordered sets" },
 { 'B', I82544_ICS_GPI0, "ICS_GPI0", "General Purpose Interrupt 0" },
 { 'B', I82544_ICS_GPI1, "ICS_GPI1", "Undefined (GPI 1)" },
 { 'B', I82544_ICS_GPI2, "ICS_GPI2", "General Purpose Interrupt 2" },
 { 'B', I82544_ICS_GPI3, "ICS_GPI3", "General Purpose Interrupt 3" },
 { 'B', I82544_ICS_ALL, "ICS_ALL", "All Those Bits" },
 { 'B', I82544_ICS_RSVD, "ICS_RSVD", "All Other Bits" },
 { 'R', I82544_IMS_REG, "IMS", "Interrupt Mask Set/Read Register (R/W)" },
 { 'B', I82544_IMS_TXDW, "IMS_TXDW", "Transmit Desc Written Back" },
 { 'B', I82544_IMS_TXQE, "IMS_TXQE", "Transmit Queue Empty" },
 { 'B', I82544_IMS_LSC, "IMS_LSC", "Link Status Change" },
 { 'B', I82544_IMS_RXSEQ, "IMS_RXSEQ", "Receive Sequence Error" },
 { 'B', I82544_IMS_RXDMT0, "IMS_RXDMT0", "Receive Descriptor Minimum Threshold Reached" },
 { 'B', I82544_IMS_RSVD20, "IMS_RSVD20", "Reserved" },
 { 'B', I82544_IMS_RXO, "IMS_RXO", "Receive Overrun" },
 { 'B', I82544_IMS_RXT0, "IMS_RXT0", "Receive Timer Interrupt" },
 { 'B', I82544_IMS_RSVD100, "IMS_RSVD100", "Reserved" },
 { 'B', I82544_IMS_MDAC, "IMS_MDAC", "MDIO Access Complete" },
 { 'B', I82544_IMS_RXCFG, "IMS_RXCFG", "Receiving /C/ ordered sets" },
 { 'B', I82544_IMS_GPI0, "IMS_GPI0", "General Purpose Interrupt 0" },
 { 'B', I82544_IMS_GPI1, "IMS_GPI1", "Undefined (GPI 1)" },
 { 'B', I82544_IMS_GPI2, "IMS_GPI2", "General Purpose Interrupt 2" },
 { 'B', I82544_IMS_GPI3, "IMS_GPI3", "General Purpose Interrupt 3" },
 { 'B', I82544_IMS_RSVD, "IMS_RSVD", "All Other Bits" },
 { 'R', I82544_IMC_REG, "IMC", "Interrupt Mask Clear Register (W/O)" },
 { 'B', I82544_IMC_TXDW, "IMC_TXDW", "Transmit Desc Written Back" },
 { 'B', I82544_IMC_TXQE, "IMC_TXQE", "Transmit Queue Empty" },
 { 'B', I82544_IMC_LSC, "IMC_LSC", "Link Status Change" },
 { 'B', I82544_IMC_RXSEQ, "IMC_RXSEQ", "Receive Sequence Error" },
 { 'B', I82544_IMC_RXDMT0, "IMC_RXDMT0", "Receive Descriptor Minimum Threshold Reached" },
 { 'B', I82544_IMC_RSVD20, "IMC_RSVD20", "Reserved" },
 { 'B', I82544_IMC_RXO, "IMC_RXO", "Receive Overrun" },
 { 'B', I82544_IMC_RXT0, "IMC_RXT0", "Receive Timer Interrupt" },
 { 'B', I82544_IMC_RSVD100, "IMC_RSVD100", "Reserved" },
 { 'B', I82544_IMC_MDAC, "IMC_MDAC", "MDIO Access Complete" },
 { 'B', I82544_IMC_RXCFG, "IMC_RXCFG", "Receiving /C/ ordered sets" },
 { 'B', I82544_IMC_GPI0, "IMC_GPI0", "General Purpose Interrupt 0" },
 { 'B', I82544_IMC_GPI1, "IMC_GPI1", "Undefined (GPI 1)" },
 { 'B', I82544_IMC_GPI2, "IMC_GPI2", "General Purpose Interrupt 2" },
 { 'B', I82544_IMC_GPI3, "IMC_GPI3", "General Purpose Interrupt 3" },
 { 'B', I82544_IMC_ALL, "IMC_ALL", "All Those Bits" },
 { 'B', I82544_IMC_RSVD, "IMC_RSVD", "All Other Bits" },
 { 'R', I82544_RCTL_REG, "RCTL", "Receive Control Register (R/W)" },
 { 'B', I82544_RCTL_RST, "RCTL_RST", "Reserved (Software Reset)" },
 { 'B', I82544_RCTL_EN, "RCTL_EN", "Receiver Enable" },
 { 'B', I82544_RCTL_SBP, "RCTL_SBP", "Store Bad Packets" },
 { 'B', I82544_RCTL_UPE, "RCTL_UPE", "Unicast Promiscuous Enable" },
 { 'B', I82544_RCTL_MPE, "RCTL_MPE", "Multicast Promiscuous Enable" },
 { 'B', I82544_RCTL_LPE, "RCTL_LPE", "Long Packet Enable" },
 { 'M', I82544_RCTL_LBM_MASK, "RCTL_LBM_MASK", "Loopback Mode Mask" },
 { 'B', I82544_RCTL_LBM_NONE, "RCTL_LBM_NONE", "No Loopback" },
 { 'B', I82544_RCTL_LBM_MAC, "RCTL_LBM_MAC", "Undefined (MAC Loopback)" },
 { 'B', I82544_RCTL_LBM_SLP, "RCTL_LBM_SLP", "Undefined (Serial Link Loopback)" },
 { 'B', I82544_RCTL_LBM_TCVR, "RCTL_LBM_TCVR", "PHY or external SERDES Loopback" },
 { 'M', I82544_RCTL_RDMTS_MASK, "RCTL_RDMTS_MASK", "Receive Descriptor Minimum Threshold Size" },
 { 'B', I82544_RCTL_RDMTS_12, "RCTL_RDMTS_12", "1/2 of RDLEN" },
 { 'B', I82544_RCTL_RDMTS_14, "RCTL_RDMTS_14", "1/4 of RDLEN" },
 { 'B', I82544_RCTL_RDMTS_18, "RCTL_RDMTS_18", "1/8 of RDLEN" },
 { 'M', I82544_RCTL_MO_MASK, "RCTL_MO_MASK", "Multicast Offset Bits" },
 { 'B', I82544_RCTL_MO_47_36, "RCTL_MO_47_36", "" },
 { 'B', I82544_RCTL_MO_46_35, "RCTL_MO_46_35", "" },
 { 'B', I82544_RCTL_MO_45_34, "RCTL_MO_45_34", "" },
 { 'B', I82544_RCTL_MO_43_32, "RCTL_MO_43_32", "" },
 { 'B', I82544_RCTL_MDR, "RCTL_MDR", "Reserved (MDR, Multicast Desc Ring 0)" },
 { 'B', I82544_RCTL_BAM, "RCTL_BAM", "Broadcast Accept Mode" },
 { 'M', I82544_RCTL_BSIZE_MASK, "RCTL_BSIZE_MASK", "Receive Buffer Size Mask Including BSEX" },
 { 'B', I82544_RCTL_BSIZE_256, "RCTL_BSIZE_256", "" },
 { 'B', I82544_RCTL_BSIZE_512, "RCTL_BSIZE_512", "" },
 { 'B', I82544_RCTL_BSIZE_1024, "RCTL_BSIZE_1024", "" },
 { 'B', I82544_RCTL_BSIZE_2048, "RCTL_BSIZE_2048", "" },
 { 'B', I82544_RCTL_BSIZE_4096, "RCTL_BSIZE_4096", "" },
 { 'B', I82544_RCTL_BSIZE_8192, "RCTL_BSIZE_8192", "" },
 { 'B', I82544_RCTL_BSIZE_16384, "RCTL_BSIZE_16384", "" },
 { 'B', I82544_RCTL_VFE, "RCTL_VFE", "VLAN Filter Enable" },
 { 'B', I82544_RCTL_CFIEN, "RCTL_CFIEN", "Canonical Form Indicator Enable" },
 { 'B', I82544_RCTL_CFI, "RCTL_CFI", "Canonical form Indicator" },
 { 'B', I82544_RCTL_DPF, "RCTL_DPF", "Discard Pause Frames" },
 { 'B', I82544_RCTL_PMCF, "RCTL_PMCF", "Pass MAC Control Frames" },
 { 'B', I82544_RCTL_BSEX, "RCTL_BSEX", "Buffer Size Extension" },
 { 'B', I82544_RCTL_SECRC, "RCTL_SECRC", "Strip Ethernet CRC" },
 { 'R', I82544_FCTTV_REG, "FCTTV", "Flow Control Transmit Timer Value Register (R/W)" },
 { 'B', I82544_FCTTV_TTV, "FCTTV_TTV", "Transmit Timer Value" },
 { 'R', I82544_TXCW_REG, "TXCW", "Transmit Configuration Word Register (R/W)" },
 { 'M', I82544_TXCW_TCW_MASK, "TXCW_TCW_MASK", "Transmit Configuration Word" },
 { 'B', I82544_TXCW_TCW_FD, "TXCW_TCW_FD", "Full Duplex" },
 { 'B', I82544_TXCW_TCW_HD, "TXCW_TCW_HD", "Half Duplex" },
 { 'B', I82544_TXCW_TCW_PAUSE_S, "TXCW_TCW_PAUSE_S", "Sym Pause" },
 { 'B', I82544_TXCW_TCW_PAUSE_A, "TXCW_TCW_PAUSE_A", "Asym Pause" },
 { 'B', I82544_TXCW_TCW_RFI, "TXCW_TCW_RFI", "Remote Fault Indication" },
 { 'B', I82544_TXCW_TCW_NP, "TXCW_TCW_NP", "Next Page" },
 { 'B', I82544_TXCW_TC, "TXCW_TC", "Transmit Config Control Bit" },
 { 'B', I82544_TXCW_ANE, "TXCW_ANE", "Auto-Negotiation Enable" },
 { 'R', I82544_RXCW_REG, "RXCW", "Receive Configuration Word Register (R/O)" },
 { 'M', I82544_RXCW_RCW_MASK, "RXCW_RCW_MASK", "Receive Configuration Word" },
 { 'B', I82544_RXCW_CSI, "RXCW_CSI", "Carrier Sense Indication" },
 { 'B', I82544_RXCW_IS, "RXCW_IS", "Invalid Symbol" },
 { 'B', I82544_RXCW_CH, "RXCW_CH", "Change" },
 { 'B', I82544_RXCW_RC, "RXCW_RC", "Receiving /C/ ordered sets" },
 { 'B', I82544_RXCW_BS, "RXCW_BS", "Bit Synchronization" },
 { 'B', I82544_RXCW_ANC, "RXCW_ANC", "Auto Negotiation Complete" },
 { 'R', I82544_TCTL_REG, "TCTL", "Transmit Control Register (R/W)" },
 { 'B', I82544_TCTL_RST, "TCTL_RST", "Reserved (SW reset?)" },
 { 'B', I82544_TCTL_EN, "TCTL_EN", "Transmit Enable" },
 { 'B', I82544_TCTL_BCE, "TCTL_BCE", "Reserved (Busy Check Enable)" },
 { 'B', I82544_TCTL_PSP, "TCTL_PSP", "Pad Short Packets" },
 { 'M', I82544_TCTL_CT_MASK, "TCTL_CT_MASK", "Collision Threshold" },
 { 'M', I82544_TCTL_COLD_MASK, "TCTL_COLD_MASK", "Collision Distance" },
 { 'B', I82544_TCTL_COLD_HD, "TCTL_COLD_HD", "1000 Half Duplex" },
 { 'B', I82544_TCTL_COLD_FD, "TCTL_COLD_FD", "Full Duplex or 10/100 Half Duplex" },
 { 'B', I82544_TCTL_SWXOFF, "TCTL_SWXOFF", "SW XOFF Transmission" },
 { 'B', I82544_TCTL_PBE, "TCTL_PBE", "Reserved (Packet Burst Enable)" },
 { 'B', I82544_TCTL_RTLC, "TCTL_RTLC", "Re-transmit On Late Collision" },
 { 'B', I82544_TCTL_NRTU, "TCTL_NRTU", "No Re-transmit On Underrun" },
 { 'R', I82544_TIPG_REG, "TIPG", "Transmit IPG Register (R/W)" },
 { 'M', I82544_TIPG_IPGT_MASK, "TIPG_IPGT_MASK", "IPG Transmit Time" },
 { 'M', I82544_TIPG_IPGR1_MASK, "TIPG_IPGR1_MASK", "IPG Receive Time 1" },
 { 'M', I82544_TIPG_IPGR2_MASK, "TIPG_IPGR2_MASK", "IPG Receive Time 2" },
 { 'R', I82544_TBT_REG, "TBT", "Transmit Burst Timer Register (R/W)" },
 { 'R', I82544_AIT_REG, "AIT", "Adaptive IFS Throttle Register (R/W)" },
 { 'B', I82544_AIT_AIFS, "AIT_AIFS", "Adaptive IFS" },
 { 'B', I82544_AIT_BIFS, "AIT_BIFS", "Reserved (Burst IFS)" },
 { 'R', I82544_PBA_REG, "PBA", "Packet Buffer Allocation Register (R/W) pg160" },
 { 'B', I82544_PBA_DEFAULT, "PBA_DEFAULT", "48KB Receive, 16KB Transmit" },
 { 'R', I82544_FCRTL_REG, "FCRTL", "Flow Control Receive Threshold Low Register (R/W) pg169" },
 { 'B', I82544_FCRTL_RTL, "FCRTL_RTL", "Receive Threshold Low" },
 { 'B', I82544_FCRTL_XONE, "FCRTL_XONE", "XON Enable" },
 { 'R', I82544_FCRTH_REG, "FCRTH", "Flow Control Receive Threshold High Register (R/W)" },
 { 'B', I82544_FCRTH_RTH, "FCRTH_RTH", "Receive Threshold High" },
 { 'B', I82544_FCRTH_XFCE, "FCRTH_XFCE", "External Flow Control Enabled" },
 { 'R', I82544_RDBAL_REG, "RDBAL", "Receive Descriptor Base Address Low Register (R/W)" },
 { 'R', I82544_RDBAH_REG, "RDBAH", "Receive Descriptor Base Address High Register (R/W)" },
 { 'R', I82544_RDLEN_REG, "RDLEN", "Receive Descriptor Length Register (R/W)" },
 { 'R', I82544_RDH_REG, "RDH", "Receive Descriptor Head Register (R/W)" },
 { 'R', I82544_RDT_REG, "RDT", "Receive Descriptor Tail Register (R/W)" },
 { 'R', I82544_RDTR_REG, "RDTR", "Receive Delay Timer Register (R/W)" },
 { 'B', I82544_RDTR_DELAY, "RDTR_DELAY", "Delay" },
 { 'B', I82544_RDTR_FPD, "RDTR_FPD", "Flush Partial Descriptor Block" },
 { 'R', I82544_RXDCTL_REG, "RXDCTL", "Receive Descriptor Control Register (R/W)" },
 { 'B', I82544_RXDCTL_PTHRESH, "RXDCTL_PTHRESH", "Prefetch Threshold" },
 { 'B', I82544_RXDCTL_HTHRESH, "RXDCTL_HTHRESH", "Host Threshold" },
 { 'B', I82544_RXDCTL_WTHRESH, "RXDCTL_WTHRESH", "Writeback Threshold" },
 { 'B', I82544_RXDCTL_GRAN, "RXDCTL_GRAN", "Granularity" },
 { 'R', I82544_TXDMAC_REG, "TXDMAC", "Transmit DMA Control Register (R/W)" },
 { 'B', I82544_TXDMAC_DPP, "TXDMAC_DPP", "Disable Packet Prefetching" },
 { 'B', I82544_TXDMAC_DPRE, "TXDMAC_DPRE", "Reserved (DPRE ???)" },
 { 'R', I82544_TDBAL_REG, "TDBAL", "Transmit Descriptor Base Address Low Register (R/W)" },
 { 'R', I82544_TDBAH_REG, "TDBAH", "Transmit Descriptor Base Address High Register (R/W)" },
 { 'R', I82544_TDLEN_REG, "TDLEN", "Transmit Descriptor Length Register (R/W)" },
 { 'R', I82544_TDH_REG, "TDH", "Transmit Descriptor Head Register (R/W)" },
 { 'R', I82544_TDT_REG, "TDT", "Transmit Descriptor Tail Register (R/W)" },
 { 'R', I82544_TIDV_REG, "TIDV", "Transmit Interrupt Delay Value Register (R/W) pg182" },
 { 'B', I82544_TIDV_IDV, "TIDV_IDV", "Interrupt Delay Value" },
 { 'R', I82544_TXDCTL_REG, "TXDCTL", "Transmit Descriptor Control Register (R/W)" },
 { 'B', I82544_TXDCTL_PTHRESH, "TXDCTL_PTHRESH", "Prefetch Threshold" },
 { 'B', I82544_TXDCTL_HTHRESH, "TXDCTL_HTHRESH", "Host Threshold" },
 { 'B', I82544_TXDCTL_WTHRESH, "TXDCTL_WTHRESH", "Write Back Threshold" },
 { 'B', I82544_TXDCTL_GRAN, "TXDCTL_GRAN", "Granularity" },
 { 'R', I82544_TSPMT_REG, "TSPMT", "TCP Segmentation PAD And Minimum Threshold Register (R/W)" },
 { 'B', I82544_TSPMT_TSMT, "TSPMT_TSMT", "TCP Segmentation Minimum Transfer" },
 { 'B', I82544_TSPMT_TSPBP, "TSPMT_TSPBP", "TCP Segmentation Packet Buffer Padding" },
 { 'R', I82544_CRCERRS_REG, "CRCERRS", "CRC Error Count Register (R/O, clear on read)" },
 { 'R', I82544_ALGNERRC_REG, "ALGNERRC", "Alignment Error Count Register (R/O, clear on read)" },
 { 'R', I82544_SYMERRS_REG, "SYMERRS", "Symbol Error Count Register (R/O, clear on read)" },
 { 'R', I82544_RXERRC_REG, "RXERRC", "Receive Error Count Register (R/O, clear on read)" },
 { 'R', I82544_MPC_REG, "MPC", "Missed Packet Count Register (R/O, clear on read)" },
 { 'R', I82544_SCC_REG, "SCC", "Single Collision Count Register (R/O, clear on read)" },
 { 'R', I82544_ECOL_REG, "ECOL", "Excessive Collision Count Register (R/O, clear on read)" },
 { 'R', I82544_MCC_REG, "MCC", "Multiple Collision Count Register (R/O, clear on read)" },
 { 'R', I82544_LATECOL_REG, "LATECOL", "Late Collision Count Register (R/O, clear on read)" },
 { 'R', I82544_COLC_REG, "COLC", "Collision Count Register (R/O, clear on read)" },
 { 'R', I82544_DC_REG, "DC", "Defer Count Register (R/O, clear on read)" },
 { 'R', I82544_TNCRS_REG, "TNCRS", "Transmit with no CRS Register (R/O, clear on read)" },
 { 'R', I82544_SEC_REG, "SEC", "Sequence Error Count Register (R/O, clear on read)" },
 { 'R', I82544_CEXTERR_REG, "CEXTERR", "Carrier Extension Error Count Register (R/O, clear on read)" },
 { 'R', I82544_RLEC_REG, "RLEC", "Receive Length Error Count Register (R/O, clear on read)" },
 { 'R', I82544_XONRXC_REG, "XONRXC", "XON Received Count Register (R/O, clear on read)" },
 { 'R', I82544_XONTXC_REG, "XONTXC", "XON Transmitted Count Register (R/O, clear on read)" },
 { 'R', I82544_XOFFRXC_REG, "XOFFRXC", "XOFF Received Count Register (R/O, clear on read)" },
 { 'R', I82544_XOFFTXC_REG, "XOFFTXC", "XOFF Transmitted Count Register (R/O, clear on read)" },
 { 'R', I82544_FCRUC_REG, "FCRUC", "Flow Control Received Unsupported Count Register (R/O, clear on read)" },
 { 'R', I82544_PRC64_REG, "PRC64", "Packets Received (64 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PRC127_REG, "PRC127", "Packets Received (65 - 127 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PRC255_REG, "PRC255", "Packets Received (128 - 255 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PRC511_REG, "PRC511", "Packets Received (255 - 511 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PRC1023_REG, "PRC1023", "Packets Received (512 - 1023 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PRC1522_REG, "PRC1522", "Packets Received (1024 to Max Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_GPRC_REG, "GPRC", "Good Packets Received Count Register (R/O, clear on read)" },
 { 'R', I82544_BPRC_REG, "BPRC", "Broadcast Packets Received Count Register (R/O, clear on read)" },
 { 'R', I82544_MPRC_REG, "MPRC", "Multicast Packets Received Count Register (R/O, clear on read)" },
 { 'R', I82544_GPTC_REG, "GPTC", "Good Packets Transmitted Count Register (R/O, clear on read)" },
 { 'R', I82544_GORCL_REG, "GORCL", "Good Octets Received Count Low Register (R/O, clear on read)" },
 { 'R', I82544_GORCH_REG, "GORCH", "Good Octets Received Count High Register (R/O, clear on read)" },
 { 'R', I82544_GOTCL_REG, "GOTCL", "Good Octets Transmitted Count Low Register (R/O, clear on read)" },
 { 'R', I82544_GOTCH_REG, "GOTCH", "Good Octets Transmitted Count High Register (R/O, clear on read)" },
 { 'R', I82544_RNBC_REG, "RNBC", "Receive No Buffers Count Register (R/O, clear on read)" },
 { 'R', I82544_RUC_REG, "RUC", "Receive Undersize Count Register (R/O, clear on read)" },
 { 'R', I82544_RFC_REG, "RFC", "Receive Fragment Count Register (R/O, clear on read)" },
 { 'R', I82544_ROC_REG, "ROC", "Receive Oversize Count Register (R/O, clear on read)" },
 { 'R', I82544_RJC_REG, "RJC", "Receive Jabber Count Register (R/O, clear on read)" },
 { 'R', I82544_TORL_REG, "TORL", "Total Octets Received Low Register (R/O, clear on read of High Reg)" },
 { 'R', I82544_TORH_REG, "TORH", "Total Octets Received High Register (R/O, clear on read)" },
 { 'R', I82544_TOTL_REG, "TOTL", "Total Octets Transmitted Low Register (R/O, clear on read of High Reg)" },
 { 'R', I82544_TOTH_REG, "TOTH", "Total Octets Transmitted High Register (R/O, clear on read)" },
 { 'R', I82544_TPR_REG, "TPR", "Total Packets Received Register (R/O, clear on read)" },
 { 'R', I82544_TPT_REG, "TPT", "Total Packets Transmitted Register (R/O, clear on read)" },
 { 'R', I82544_PTC64_REG, "PTC64", "Packets Transmitted (64 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PTC127_REG, "PTC127", "Packets Transmitted (65 - 127 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PTC255_REG, "PTC255", "Packets Transmitted (128 - 255 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PTC511_REG, "PTC511", "Packets Transmitted (256 - 511 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PTC1023_REG, "PTC1023", "Packets Transmitted (512 - 1023 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_PTC1522_REG, "PTC1522", "Packets Transmitted (Greater than 1024 Bytes) Count Register (R/O, clear on read)" },
 { 'R', I82544_MPTC_REG, "MPTC", "Multicast Packets Transmitted Count Register (R/O, clear on read)" },
 { 'R', I82544_BPTC_REG, "BPTC", "Broadcast Packets Transmitted Count Register (R/O, clear on read)" },
 { 'R', I82544_TSCTC_REG, "TSCTC", "TCP Segmentation Context Transmitted Count Register (R/O, clear on read)" },
 { 'R', I82544_TSCTFC_REG, "TSCTFC", "TCP Segmentation Context Transmit Fail Count Register (R/O, clear on read)" },
 { 'R', I82544_RXCSUM_REG, "RXCSUM", "Receive Checksum Control Register (R/W)" },
 { 'M', I82544_RXCSUM_PCSS_MASK, "RXCSUM_PCSS_MASK", "Packet Checksum Start" },
 { 'B', I82544_RXCSUM_IPOFL, "RXCSUM_IPOFL", "IP Checksum Offload Enable" },
 { 'B', I82544_RXCSUM_TUOFL, "RXCSUM_TUOFL", "TCP/UDP Checksum Offload Enable" },
 { 'R', I82544_MTA_REG, "MTA", "Multicast Table Array Register (R/W)" },
 { 'B', I82544_MTA_SIZE, "MTA_SIZE", "" },
 { 'R', I82544_RAL_REG, "RAL", "Receive Address Register (R/W)" },
 { 'R', I82544_RAH_REG, "RAH", "" },
/* I82544_RA_COUNT */
/* I82544_RAL_MASK */
 { 'B', I82544_RAH_AV, "RAH_AV", "Address Valid" },
 { 'M', I82544_RAH_AS_MASK, "RAH_AS_MASK", "Address Select Mask" },
 { 'B', I82544_RAH_AS_DST, "RAH_AS_DST", "Destination Address" },
 { 'B', I82544_RAH_AS_SRC, "RAH_AS_SRC", "Source Address" },
 { 'M', I82544_RAH_MASK, "RAH_MASK", "Receive Address High" },
 { 'R', I82544_VFTA_REG, "VFTA", "VLAN Filter Table Array Register (R/W)" },
 { 'B', I82544_VFTA_SIZE, "VFTA_SIZE", "" },
 { 'R', I82544_WUC_REG, "WUC", "Wake Up Control Register (R/W)" },
 { 'B', I82544_WUC_APME, "WUC_APME", "Advanced Power Management Enable" },
 { 'B', I82544_WUC_PME_EN, "WUC_PME_EN", "PME Enable" },
 { 'B', I82544_WUC_PME_STATUS, "WUC_PME_STATUS", "PME Status" },
 { 'B', I82544_WUC_APMPME, "WUC_APMPME", "Assert PME On APM Wakeup" },
 { 'R', I82544_WUFC_REG, "WUFC", "Wake Up Filter Control Register (R/W)" },
 { 'B', I82544_WUFC_LNKC, "WUFC_LNKC", "Link Status Change Wake Up Enable" },
 { 'B', I82544_WUFC_MAG, "WUFC_MAG", "Magic Packet Wake Up Enable" },
 { 'B', I82544_WUFC_EX, "WUFC_EX", "Directed Exact Wake Up Enable" },
 { 'B', I82544_WUFC_MC, "WUFC_MC", "Directed Multicast Wake Up Enable" },
 { 'B', I82544_WUFC_BC, "WUFC_BC", "Broadcast Wake Up Enable" },
 { 'B', I82544_WUFC_ARP, "WUFC_ARP", "ARP Request Packet Wake Up Enable" },
 { 'B', I82544_WUFC_IP, "WUFC_IP", "Directed IP Packet Wake Up Enable" },
 { 'B', I82544_WUFC_FLX0, "WUFC_FLX0", "Flexible Filter 0 Enable" },
 { 'B', I82544_WUFC_FLX1, "WUFC_FLX1", "Flexible Filter 1 Enable" },
 { 'B', I82544_WUFC_FLX2, "WUFC_FLX2", "Flexible Filter 2 Enable" },
 { 'B', I82544_WUFC_FLX3, "WUFC_FLX3", "Flexible Filter 3 Enable" },
 { 'R', I82544_WUS_REG, "WUS", "Wake Up Status Register (R/O)" },
 { 'B', I82544_WUS_LNKC, "WUS_LNKC", "Link Status Changed" },
 { 'B', I82544_WUS_MAG, "WUS_MAG", "Magic Packet Received" },
 { 'B', I82544_WUS_EX, "WUS_EX", "Directed Exact Packet Received" },
 { 'B', I82544_WUS_MC, "WUS_MC", "Directed Multicast Packet Received" },
 { 'B', I82544_WUS_BC, "WUS_BC", "Broadcast Packet Received" },
 { 'B', I82544_WUS_ARP, "WUS_ARP", "ARP Request Packet Received" },
 { 'B', I82544_WUS_IP, "WUS_IP", "Directed IP Packet Received" },
 { 'B', I82544_WUS_FLX0, "WUS_FLX0", "Flexible Filter 0 Match" },
 { 'B', I82544_WUS_FLX1, "WUS_FLX1", "Flexible Filter 1 Match" },
 { 'B', I82544_WUS_FLX2, "WUS_FLX2", "Flexible Filter 2 Match" },
 { 'B', I82544_WUS_FLX3, "WUS_FLX3", "Flexible Filter 3 Match" },
 { 'R', I82544_IPAV_REG, "IPAV", "IP Address Valid Register (R/W)" },
 { 'B', I82544_IPAV_V0, "IPAV_V0", "IP Address 0 Valid" },
 { 'B', I82544_IPAV_V1, "IPAV_V1", "IP Address 1 Valid" },
 { 'B', I82544_IPAV_V2, "IPAV_V2", "IP Address 2 Valid" },
 { 'B', I82544_IPAV_V3, "IPAV_V3", "IP Address 3 Valid" },
 { 'R', I82544_IPAT_REG, "IPAT", "IP Address Table Register (R/W)" },
 { 'R', I82544_WUPL_REG, "WUPL", "Wake Up Packet Length Register (R/W)" },
 { 'M', I82544_WUPL_MASK, "WUPL_MASK", "" },
 { 'R', I82544_WUPM_REG, "WUPM", "Wake Up Packet Memory Register (R/O)" },
 { 'R', I82544_FFLT_REG, "FFLT", "Flexible Filter Length Table Register (R/W)" },
 { 'R', I82544_FFMT_REG, "FFMT", "Flexible Filter Mask Table Register (R/W)" },
 { 'R', I82544_FFVT_REG, "FFVT", "Flexible Filter Value Table Register (R/W)" },
/* I82544_RD_BUNDLING */
/* I82544_RD_ALIGNMENT */
/* I82544_RD_STATUS_PIF */
/* I82544_RD_STATUS_IPCS */
/* I82544_RD_STATUS_TCPCS */
/* I82544_RD_STATUS_RSV */
/* I82544_RD_STATUS_VP */
/* I82544_RD_STATUS_IXSM */
/* I82544_RD_STATUS_EOP */
/* I82544_RD_STATUS_DD */
/* I82544_RD_ERR_RXE */
/* I82544_RD_ERR_IPE */
/* I82544_RD_ERR_TCPE */
/* I82544_RD_ERR_CXE */
/* I82544_RD_ERR_RSV */
/* I82544_RD_ERR_SEQ */
/* I82544_RD_ERR_SE */
/* I82544_RD_ERR_CE */
/* I82544_RD_SF_VLAN_MASK */
/* I82544_RD_SF_CFI_MASK */
/* I82544_RD_SF_PRI_MASK */
/* I82544_TD_BUNDLING */
/* I82544_TD_ALIGNMENT */
/* I82544_TD_CMD_IDE */
/* I82544_TD_CMD_VLE */
/* I82544_TD_CMD_DEXT */
/* I82544_TD_CMD_RPS */
/* I82544_TD_CMD_RS */
/* I82544_TD_CMD_IC */
/* I82544_TD_CMD_IFCS */
/* I82544_TD_CMD_EOP */
/* I82544_TD_STATUS_TU */
/* I82544_TD_STATUS_LC */
/* I82544_TD_STATUS_EC */
/* I82544_TD_STATUS_DD */
/* I82544_TD_SF_VLAN_MASK */
/* I82544_TD_SF_CFI_MASK */
/* I82544_TD_SF_PRI_MASK */
/* I82544_EEPROM_READ_OPCODE */
/* I82544_EEPROM_WRITE_OPCODE */
/* I82544_EEPROM_ERASE_OPCODE */
/* I82544_EEPROM_EWEN_OPCODE */
/* I82544_EEPROM_EWDS_OPCODE */
/* I82544_ICW1_SIGNATURE */
/* I82544_ICW1_32BIT_BAR */
/* I82544_ICW1_IPS0 */
/* I82544_ICW1_FRCSPD */
/* I82544_ICW1_FD */
/* I82544_ICW1_LRST */
/* I82544_ICW1_IPS1 */
/* I82544_ICW1_SWDPIO_MASK */
/* I82544_ICW1_ILOS */
/* I82544_ICW1_PM */
/* I82544_ICW1_PME_CLK */
/* I82544_ICW1_SUBSYS_ID */
/* I82544_ICW1_VENDEV_ID */
/* I82544_ICW2_APM_PME_EN */
/* I82544_ICW2_ASDE */
/* I82544_ICW2_PC_MASK */
/* I82544_ICW2_ANE */
/* I82544_ICW2_FLASH_64K */
/* I82544_ICW2_FLASH_128K */
/* I82544_ICW2_FLASH_256K */
/* I82544_ICW2_FLASH_512K */
/* I82544_ICW2_FLASH_MASK */
/* I82544_ICW2_FLASH_DIS */
/* I82544_ICW2_MSI_DIS */
/* I82544_ICW2_133MHZ_CAP */
/* I82544_ICW2_DMCR_MAP */
/* I82544_ICW2_MAX_READ */
/* I82544_ICW2_PCIX_64BIT */
/* I82544_ICW2_APM_ENABLE */
/* I82544_ICW2_FCRS */
/* I82544_SWDPC_DL_MASK */
/* I82544_SWDPC_DH_MASK */
/* I82544_SWDPC_VL_MASK */
/* I82544_SWDPC_VH_MASK */
/* I82544_EEPROM_CHECKSUM */
