/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_br554.h
**
**	System abstraction layer
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	mmc	12/02/98 Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/
#ifndef PDK_BR554_H
#define PDK_BR554_H

#include <pdk_types.h>
#include <pdk_port.h>

int32_t pdk_ntbridge_init(int32_t ppa);
int32_t pdk_ntbridge_device_deinit(int32_t ppa);
int32_t pdk_ntbridge_device_stop(int32_t ppa);
int32_t pdk_ntbridge_find_and_init_device(int32_t ppa, uint32_t vendid, int32_t assigned_ppa);
int32_t pdk_ntbridge_unit_ppa(int32_t ppa, int32_t unit);

#ifdef PDK_NTBRIDGE_INTR_UNCLAIMED
uint32_t pdk_ntbridge_intr(int32_t ppa);
#else
void pdk_ntbridge_intr(int32_t ppa);
#endif
int32_t pdk_ntbridge_register(int32_t ppa, uint32_t (*handler)(void *), void *arg);
int32_t pdk_ntbridge_unregister(int32_t ppa);
#ifdef PDK_INTR_SHARE_ROUTINE
int32_t pdk_ntbridge_registerx(int32_t ppa, void (*handler)(void *), void *arg);
#endif


#endif /* PDK_BR554_H */
