/*==========================================================================
**
**	include/pdk_constant.h
**
**	Constant definitions which do not change from port to port
**
**==========================================================================
**
**	(c) Copyright 1996, 1997, 1998, 1999 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	ram	01/05/99	Created.
**
**==========================================================================
*/

#ifndef PDK_CONSTANT_H
#define PDK_CONSTANT_H

/*
 * Ethernet defines
 */

#define PDK_ETHERADDRL 6
typedef struct pdk_ether_addr {
	uint8_t  ether_addr_octet[PDK_ETHERADDRL];
} pdk_ether_addr_t;

typedef struct pdk_ether_header {
	pdk_ether_addr_t	ether_dhost;
	pdk_ether_addr_t	ether_shost;
	uint16_t		ether_type;
} pdk_ether_header_t;

#define	PDK_ETHERMTU	(1500)		/* max frame w/o header or fcs */
#define PDK_ETHERHDR	(14)
#define	PDK_ETHERMIN	(60)		/* min frame w/header w/o fcs */
#define	PDK_ETHERMAX	(1514)		/* max frame w/header w/o fcs */
#define	PDK_ETHERTYPE_IP	(0x0800)	/* IP protocol */
#define	PDK_ETHERTYPE_MAX	(0xffff)	/* Max valid ethernet type */
#ifndef PDK_ETHERRECV_SIZE
#define PDK_ETHERRECV_SIZE	(1536)	/* multiple of 4 and room for crc */
#endif



#define PDK_ETHERRECV_MAXSIZE_MTU9K (9536) /* max size of recv buffer that can be passed to OS */
#define PDK_ETHERMTU_MTU9K (9500)

#endif /* PDK_CONSTANT_H */
