/*==========================================================================
**
**	/pdk/include/pdk_hton.h
**
**	ZNYX Portable Driver Kit
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**
**==========================================================================
**
**	Notes:
**
**	This file contains endian translation macros.
**==========================================================================
*/

#ifndef PDK_HTON_H
#define PDK_HTON_H

#include <pdk_port.h>
#include <pdk_types.h>

#if (PDK_NETWORK_ORDER == 1234)
#    define pdk_htons(s) (s)
#    define pdk_htonl(l) (l)
#else
#    define pdk_htons(s) (((((uint16_t)(s))>>8)&0xff)|(((uint16_t)(s))<<8)&0xff00)
#    define pdk_htonl(l) (((((uint32_t)(l))>>24&0xff))|((((uint32_t)(l))>>8)&0xff00)|((((uint32_t)(l))<<8)&0xff0000)|((((uint32_t)(l))<<24)&0xff000000))
#endif /* PDK_NETWORK_ORDER */

#if (PDK_BUS_ORDER == 1234)
#    define pdk_htobs(s) (s)
#    define pdk_htobl(l) (l)
#else
#    define pdk_htobs(s) (((((uint16_t)(s))>>8)&0xff)|(((uint16_t)(s))<<8)&0xff00)
#    define pdk_htobl(l) (((((uint32_t)(l))>>24&0xff))|((((uint32_t)(l))>>8)&0xff00)|((((uint32_t)(l))<<8)&0xff0000)|((((uint32_t)(l))<<24)&0xff000000))
#endif /* PDK_BUS_ORDER */

#endif /* PDK_HTON_H */
