/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_layer.h
**
**	System abstraction layer
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	ram	04/01/98 	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#ifndef PDK_LAYER_H
#define PDK_LAYER_H

#include <pdk_buf.h>

#define PDK_HAL_LAYER 0
#define PDK_RLK_LAYER 1
#define PDK_PAL_LAYER 2
#define NUM_LAYERS 3

typedef struct pdk_layer_routines_s {
	uint32_t (*pdk_iac)(int32_t ppa);
	uint32_t (*pdk_intr)(int32_t ppa, uint32_t iac);
	uint32_t (*pdk_xmit)(int32_t ppa, pdk_buf_t *bp);
	uint32_t (*pdk_recv)(int32_t ppa, pdk_buf_t *bp);
	uint32_t (*pdk_ctl)(int32_t ppa, uint32_t opcode, void *param);
	void (*pdk_xmit_complete)(int32_t ppa, pdk_buf_t *bp, uint32_t status); 
	void (*pdk_recv_complete)(int32_t ppa, pdk_buf_t *bp, uint32_t status);
	void (*pdk_status)(int32_t ppa, uint32_t opcode, void *param);
} pdk_layer_routines_t;

uint32_t pdk_layer_global_init(void);
uint32_t pdk_layer_global_deinit(void);
uint32_t pdk_layer_init(int32_t ppa);
uint32_t pdk_layer_deinit(int32_t ppa);

int32_t pdk_layer_push(int32_t ppa, int32_t layer);
int32_t pdk_layer_pop(int32_t ppa, int32_t layer);

#endif /* PDK_LAYER_H */
