/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_lock.h
**
**	System abstraction layer for Linux
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**==========================================================================
**
**	Modification History:
**	david	03/03/99 	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#ifndef PDK_LOCK_H
#define PDK_LOCK_H

/* Spinlocks are no-ops unless __SMP__ is defined (pdk_port.h) */
#if (LINUX_VERSION_CODE < 0x020300)
#include <asm/spinlock.h>
#include <asm/atomic.h>
#include <asm/system.h>
#else
#include <asm/atomic.h>
#include <asm/system.h>
#include <linux/spinlock.h>
#endif

typedef struct pdk_lock_s {
	struct pdk_lock_s *next;
	spinlock_t lock;
	uint	l_flags;
	ulong	save;
	atomic_t lkcnt;
} pdk_lock_t;

/* lock function prototypes */
ulong pdk_lock_global_init();
ulong pdk_lock_global_deinit();
ulong pdk_lock_init(int ppa);
ulong pdk_lock_deinit(int ppa);

#define PDK_LOCK_INTR 1
pdk_lock_t *pdk_lock_alloc(int ppa, ulong flags);

void pdk_lock_free(pdk_lock_t *lp);

int pdk_lock_held(pdk_lock_t *lp);

void pdk_lock_acquire(pdk_lock_t *lp);

void pdk_lock_release(pdk_lock_t *lp);
#endif /* PDK_LOCK_H */
