/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_mem.h
**
**	System abstraction layer for Linux
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**==========================================================================
**
**	david	02/25/99 	Created
**	jr	09/15/01	OA version, namespace cleanup
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

/* Linux memory functions */
#ifndef PDK_MEM_H
#define PDK_MEM_H

#include <linux/string.h>
#include <linux/slab.h>
#include <linux/pci.h>
#include <asm/io.h>

#define PDK_PAGESIZE PAGESIZE
#define PDK_CACHELINE 128

/* memory function prototypes */
uint32_t pdk_mem_global_init(void);
uint32_t pdk_mem_global_deinit();
uint32_t pdk_mem_init(int32_t ppa);
uint32_t pdk_mem_deinit(int32_t ppa);

typedef struct pdk_desc_handle_s {
	struct pci_dev	*d_pdev;
	caddr_t			d_desc_mem;
	dma_addr_t		d_paddr;
	int32_t			d_size;
	off_t			d_nextoff;
	off_t			d_endoff;
} pdk_desc_handle_t;

uchar *pdk_mem_alloc(int32_t ppa, uint32_t size);
void pdk_mem_free(int32_t ppa, uchar *p, uint32_t size);
/* #define pdk_mem_alloc(ppa, size) (kmalloc((size_t) (size), in_irq() ? GFP_ATOMIC : GFP_KERNEL)) */
/* #define pdk_mem_free(ppa, p, size) kfree((void *) p) */
uchar *pdk_mem_zalloc(int32_t ppa, uint32_t size);

#define pdk_mem_desc_sync(dhp, vaddrf, vaddrt, type) ()

pdk_desc_handle_t *pdk_mem_desc_alloc(int32_t ppa, uint32_t n, uint32_t size);
void pdk_mem_desc_free(pdk_desc_handle_t *dhp);
pdk_desc_handle_t *pdk_mem_desc_get_pmap(pdk_desc_handle_t *dhp, void **vaddrp, uint32_t *paddrp, int32_t *errp);

#define PDK_DESC_SYNC_FORDEV DDI_DMA_SYNC_FORDEV
#define PDK_DESC_SYNC_FORCPU DDI_DMA_SYNC_FORKERNEL



#endif /* PDK_MEM_H */

