/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_reg.h
**
**	System abstraction layer for Linux
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**==========================================================================
**
**	david	02/16/99 	Created
**	jr	01/28/02	made big endian archs use pdk_reg_xxx macros
**
**==========================================================================
*/
/* Register access function prototypes */

#ifndef PDK_REG_H
#define PDK_REG_H

#ifdef TMHXXX
#include <linux/bios32.h>
#endif
#include <pdk_linux.h>

#define UNDEF 0xff

void pdk_reg_global_init();

/*
void pdk_reg_put32(int32_t ppa, uint32_t offset, uint32_t value); 
uint32_t pdk_reg_get32(int32_t ppa, uint32_t offset);
*/
#ifdef PDK_SAL_IO
#define pdk_reg_put8(ppa, offset, value) ( outb(value, znb_reg[ppa]+(offset)))
#define pdk_reg_put16(ppa, offset, value) ( outw((uint16_t)pdk_htobs(value), znb_reg[ppa]+(offset)))
#define pdk_reg_put32(ppa, offset, value) ( outl((uint32_t)pdk_htobl(value), znb_reg[ppa]+(offset)))
#if 1 /* (PDK_BUS_ORDER == 1234) linux does le/be conversion for us */
#define pdk_reg_get8(ppa, offset) (inb(znb_reg[ppa]+(offset)))
#define pdk_reg_get16(ppa, offset) (inw(znb_reg[ppa]+(offset)))
#define pdk_reg_get32(ppa, offset) (inl(znb_reg[ppa]+(offset)))
#else
uint32_t pdk_reg_get32(int32_t ppa, uint32_t offset);
#endif
#else  /* not SAL_IO */
#define pdk_reg_put8(ppa, offset, value) ( writeb((uint8_t)value, (uchar *)(znb_reg[ppa]+(offset))))
#define pdk_reg_put16(ppa, offset, value) ( writew((uint16_t)value, (uchar *)(znb_reg[ppa]+(offset))))
#define pdk_reg_put32(ppa, offset, value) ( writel((uint32_t)value, (uchar *)(znb_reg[ppa]+(offset))))
#define pdk_reg_put64(ppa, offset, value) ( out64((uint64_t)(value), znb_reg[ppa]+(offset)))
#if 1 /* (PDK_BUS_ORDER == 1234) linux does le/be conversion for us */
#define pdk_reg_get8(ppa, offset) (readb((uchar *)znb_reg[ppa]+(offset)))
#define pdk_reg_get16(ppa, offset) (readw((uchar *)znb_reg[ppa]+(offset)))
#define pdk_reg_get32(ppa, offset) (readl((uchar *)znb_reg[ppa]+(offset)))
#define pdk_reg_get64(ppa, offset) (in64(znb_reg[ppa]+(offset)))
#else
uint32_t pdk_reg_get32(int32_t ppa, uint32_t offset);
#endif
#endif  /* SAL_IO */

void pdk_reg_config_put8(int32_t ppa, uint32_t offset, uchar value);
void pdk_reg_config_put16(int32_t ppa, uint32_t offset, uint16_t value);
void pdk_reg_config_put32(int32_t ppa, uint32_t offset, uint32_t value);

uchar pdk_reg_config_get8(int32_t ppa, uint32_t offset);
uint16_t pdk_reg_config_get16(int32_t ppa, uint32_t offset);
uint32_t pdk_reg_config_get32(int32_t ppa, uint32_t offset);

#ifdef BR554
void pdk_raw_config_put8(int32_t ppa, uint32_t offset, uchar value);
void pdk_raw_config_put16(int32_t ppa, uint32_t offset, uint16_t value);
void pdk_raw_config_put32(int32_t ppa, uint32_t offset, uint32_t value);

uchar pdk_raw_config_get8(int32_t ppa, uint32_t offset);
uint16_t pdk_raw_config_get16(int32_t ppa, uint32_t offset);
uint32_t pdk_raw_config_get32(int32_t ppa, uint32_t offset);
#endif

#ifdef __powerpc__
#define pdk_eieio() __asm__ __volatile__ ("sync; eieio; sync" : : : "memory")
#endif

#ifndef pdk_eieio
#define pdk_eieio()
#endif

#if ZNYX_SBE
#include "sb64bit.h"
#endif

#endif /* PDK_REG_H */
