/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_time.h
**
**	System abstraction layer for Linux
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**==========================================================================
**
**	david	03/03/99 	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/
/* timer function prototypes */

#ifndef PDK_TIMER_H
#define PDK_TIMER_H

#include <pdk_types.h>
#include <linux/delay.h>

uint32_t pdk_time_global_init();

 ulong pdk_time_global_deinit(); 
/*#define pdk_time_global_deinit()*/

/* uint32_t pdk_time_init(int ppa); */
#define pdk_time_init(ppa)

/* ulong pdk_time_deinit(int ppa); */
#define pdk_time_deinit(ppa)

/* From 2.2.18, there is an upper limit on usecs, but it is not the same
 * for ppc (__MAX_UDELAY 1000000) and i386 (20000), so we'll just use
 * our own macro. 
 */
#define MAX_UDELAY	20000
void pdk_time_busywait(ulong usecs);
/* #define pdk_time_busywait(usecs) (udelay(usecs)) */

void pdk_time_delay(ulong usecs);
/* #define pdk_time_delay(usecs) (udelay(usecs)) */

void *pdk_timeout(void (*func)(), void *arg, ulong usecs);

void pdk_untimeout(void *tlp);

void pdk_timer_enq(void *arg);

typedef struct pdk_timer_s {
	struct pdk_timer_s *t_link;
	struct timer_list *tlp;
	void (*function)(uint32_t arg);
	uint32_t arg;
} pdk_timer_t;

#endif /* PDK_TIMER_H */
