/*
**
**	./pdk/src/drivers/pal/pio.h
**
**	PAL IO Routines for IOCTL based interfaces
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**==========================================================================
**
**	Modification History:
**	Tim Hayes tim.hayes@znyx.com Spring 2K
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#ifndef PDK_PIO_H
#define PDK_PIO_H
#include <pio_port.h>

typedef struct ioctl_data_s {
	uint32_t	id_stream_handle;
	pdk_psdb_rhdr_t id_ppr;
} ioctl_data_t;

#ifdef __KERNEL__
int32_t pio_ioctl(int32_t cmd, ioctl_data_t *piodata);
void pio_deliver(int32_t stream_handle, pdk_psdb_rhdr_t *record);
void pio_notification(pdk_psdb_rhdr_t *record);

int32_t pio_set_mode(int32_t stream_handle, int32_t mode, int32_t signal);
int32_t pio_clear_mode(int32_t stream_handle, int32_t mode);
#endif

#endif /* PDK_PIO_H */


